import random


highlightlib_version = "1.1"
highlightlib_author = "Brainsucker"


colorlist = ("#default", "#green", "#lightgreen")

def getLastColor(message, word=None):
	message = str(message).lower()
	if not message.count("#green") and not message.count("#lightgreen"):
		return "#default"
	if word:
		if message.count(word):
			templist = message.rsplit(word, 1)
			return getLastColor(templist[0])
		return "#default"
	colordict = {}
	for attr in colorlist:
		if message.count(attr):
			templist = message.rsplit(attr, 1)
			templist.reverse()
			colordict[attr] = len(templist[0])
	lengthlist = []
	for key in colordict.keys():
		lengthlist.append(colordict[key])
	min_attr = min(lengthlist)
	for key in colordict.keys():
		if colordict[key] == min_attr:
			return key
	
def randomHighlight(message, everyword=False):
	message = str(message)
	if everyword:
		wordlist = message.split()
		partlist = []
		lastcolor = ""
		for part in wordlist:
			randcolor = random.choice(colorlist)
			partlist.append((randcolor + part) if lastcolor != randcolor else part)
			lastcolor = randcolor
		newmessage = " ".join(partlist)
		return newmessage
	return random.choice(colorlist) + message
	
def highlightWord(message, word_to_highlight, color=False, extra_highlighter=(">", "<")):
	message = str(message)
	if not message.count(word_to_highlight):
		return message
	if not color or not colorlist.count(color):
		color = random.choice(colorlist)
	
	if extra_highlighter:
		if len(extra_highlighter):
			tempcolorlist = []
			for x in colorlist:
				tempcolorlist.append(x)
			if color != False:
				if tempcolorlist.count(color):
					tempcolorlist.remove(color)
			lc = getLastColor(message, extra_highlighter[0])
			if tempcolorlist.count(lc):
				tempcolorlist.remove(lc)
			extra_highlighter_color = random.choice(tempcolorlist)
			if len(extra_highlighter) == 2:
				return message.replace(word_to_highlight, extra_highlighter_color+extra_highlighter[0]+color+word_to_highlight+extra_highlighter_color+extra_highlighter[1]+getLastColor(message, word_to_highlight))
			if len(extra_highlighter) > 2:
				return message.replace(word_to_highlight, extra_highlighter_color+random.choice(extra_highlighter)+color+word_to_highlight+extra_highlighter_color+random.choice(extra_highlighter)+getLastColor(message, word_to_highlight))
				
			return message.replace(word_to_highlight, extra_highlighter_color+extra_highlighter[0]+color+word_to_highlight+extra_highlighter_color+extra_highlighter[0]+getLastColor(message, word_to_highlight))
	return message.replace(word_to_highlight, color+word_to_highlight+getLastColor(message, word_to_highlight))